<?php

namespace Louis\TPNote\Controllers;

use Hakan\Hello\Models\Voiture;
use PDO;
use Psr\Http\Message\RequestInterface;
use Psr\Http\Message\ResponseInterface;
use Slim\Views\Twig;

class BaseController
{
    private PDO $pdo;
    private Twig $twig;

    public function __construct(PDO $pdo, Twig $twig)
    {
        $this->pdo = $pdo;
        $this->twig = $twig;
    }

    public function handle (RequestInterface $request, ResponseInterface $response) {

        $sql = "SELECT * FROM brands ORDER BY name";
        $marques = $this->pdo->query($sql)->fetchAll();

        return $this->twig->render($response, 'accueil.twig', [
            'marques' => $marques,
            'error' => 'Could not connect to database'
        ]);
    }
}