<?php


namespace Louis\TPNote\Features\FilterBrands;

use Psr\Http\Message\RequestInterface;
use Psr\Http\Message\ResponseInterface;

class FilterBrandsController
{
    private FilterBrandsService $service;

    public function __construct(FilterBrandsService $service)
    {
        $this->service = $service;
    }

    public function __invoke(RequestInterface $request, ResponseInterface $response): ResponseInterface
    {

        try {
            $body = json_decode($request->getBody()->__toString());
            $businessRequest = FilterBrandsRequest::from($body);
            $businessResponse = $this->service->handle($businessRequest);
            return $response->withStatus(201, sprintf('Values returned'));

        } catch (Exception $exception) {
            return $response->withStatus(400, 'Error');
        }
    }
}
