<?php

namespace Louis\TPNote\Features\FilterBrands;

use Louis\TPNote\Repositories\BrandRepository;

class FilterBrandsService
{
    private BrandRepository $repository;

    public function __construct(BrandRepository $repository)
    {
        $this->repository = $repository;
    }

    /**
     * @param FilterBrandsRequest $request
     * @return FilterBrandsResponse
     * @throws CouldNotInsertUserException
     * @throws UserAlreadyExistException
     */
    public function handle(FilterBrandsRequest $request): FilterBrandsResponse
    {

        $filteredBrands = $this->repository->retrieve($request);
        if ($filteredBrands === null) {
            //throw new CouldNotRetrieveBrandsException();
        }

        return new FilterBrandsResponse($filteredBrands);
    }
}
